MailcrateDocs
Email templates

Get an email template

GET
/public/email-template/{identifier}

identifier is the template's id or its slug.

Requires the email-template:read scope.

Authorization

ApiKey
headerAuthorization<token>

Api-Key mc_... — a workspace API key.

Path Parameters

identifier*string

Response Body

application/json
  1. response
id*string
name*string
slug*string
type*string
Value in"html""mat-builder""react-email""templatical""visual"
senderIdentityId*string
subject*string
preHeaderText*string
html*string
visualConfig*
replyTo*string
bcc*string
variables*array<>|null
compiledBundleVersion*number
currentVersionId*string
created*string
Formatdate-time
updated*string
Formatdate-time
Example Request
curl -X GET 'https://api.mailcrate.io/public/email-template/string' \  -H 'Authorization: Api-Key <api_key>'
Example Response
{  "id": "string",  "name": "string",  "slug": "string",  "type": "html",  "senderIdentityId": "string",  "subject": "string",  "preHeaderText": "string",  "html": "string",  "visualConfig": {},  "replyTo": "string",  "bcc": "string",  "variables": [    {}  ],  "compiledBundleVersion": 0,  "currentVersionId": "string",  "created": "2019-08-24T14:15:22Z",  "updated": "2019-08-24T14:15:22Z"}